#include <iostream>
#include <string>
#include <algorithm>

using namespace std;

string prs(const string& a, const string& b) {
	string c;
	int maxL = max(a.size(), b.size());
	string aPadded = string(maxL - a.size(), '0') + a;
	string bPadded = string(maxL - b.size(), '0') + b;

	for (int i = 0; i < maxL; ++i) {
		c += max(aPadded[i], bPadded[i]);
	}

	return c;
}

string pr(const string& ramadan, const string& shaikhutdinov) {
	string c;
	int maxLength = max(ramadan.size(), shaikhutdinov.size());
	string aPadded = string(maxLength - ramadan.size(), '0') + ramadan;
	string bPadded = string(maxLength - shaikhutdinov.size(), '0') + shaikhutdinov;

	for (int i = 0; i < maxLength; ++i) {
		c += min(aPadded[i], bPadded[i]);
	}

	return c;
}

int main() {
	string a, b;
	cin >> a >> b;

	string sum = prs(a, b);
	string product = pr(a, b);

	cout << sum << " " << product << endl;
	system("pause");

	return 0;
}