
#include <iostream>
#include <string>
#include <algorithm>

using namespace std;

int main() {
	string a, b;
	cin >> a >> b;

	if (a.length() < b.length()) {
		swap(a, b);
	}

	string sum_result;
	int len_a = a.length();
	int len_b = b.length();

	for (int i = 0; i < len_a; ++i) {
		int digit_a = a[len_a - 1 - i] - '0';
		int digit_b = (i < len_b) ? (b[len_b - 1 - i] - '0') : 0;
		sum_result.push_back(max(digit_a, digit_b) + '0');
	}

	reverse(sum_result.begin(), sum_result.end());

	string product_result;

	for (int i = 0; i < len_a; ++i) {
		int digit_a = a[len_a - 1 - i] - '0';
		int digit_b = (i < len_b) ? (b[len_b - 1 - i] - '0') : 0;
		product_result.push_back(min(digit_a, digit_b) + '0');
	}

	reverse(product_result.begin(), product_result.end());

	cout << sum_result << " " << product_result << endl;

	return 0;
}