#include <iostream>
#include <string>
#include <algorithm>

using namespace std;

int main() {
	string a, b;
	cin >> a >> b;

	string sum = "", product = "";

	
	int n = a.length();
	int m = b.length();
	int i = n - 1, j = m - 1;
	while (i >= 0 || j >= 0) {
		int digit_a = (i >= 0) ? a[i] - '0' : 0;
		int digit_b = (j >= 0) ? b[j] - '0' : 0;
		sum = to_string(max(digit_a, digit_b)) + sum;
		i--;
		j--;
	}

	
	string result = "";
	for (int i = 0; i < n; ++i) {
		string intermediate_result = "";
		int carry = 0;
		for (int j = 0; j < m; ++j) {
			int digit_a = a[n - 1 - i] - '0';
			int digit_b = b[m - 1 - j] - '0';
			int digit_product = min(digit_a, digit_b);
			int temp = digit_product + carry;
			intermediate_result = to_string(temp % 10) + intermediate_result;
			carry = temp / 10;

		}
		if (carry > 0) {
			intermediate_result = to_string(carry) + intermediate_result;
		}

		for (int k = 0; k<i; ++k) intermediate_result += '0';

		if (result.empty()) result = intermediate_result;
		else {
			string next_result = "";
			int k = result.length() - 1, l = intermediate_result.length() - 1;
			int carry = 0;
			while (k >= 0 || l >= 0) {
				int digit_r = (k >= 0) ? result[k] - '0' : 0;
				int digit_i = (l >= 0) ? intermediate_result[l] - '0' : 0;
				int temp = digit_r + digit_i + carry;
				next_result = to_string(temp % 10) + next_result;
				carry = temp / 10;
				k--;
				l--;
			}
			if (carry>0) next_result = to_string(carry) + next_result;
			result = next_result;
		}

	}
	product = result;

	cout << sum << " " << product << endl;
	system("pause");
	return 0;
}