#include <iostream>
#include <string>
#include <algorithm>

using namespace std;

int main() {
	string a, b;
	cin >> a >> b;

	string sum = "", prod = "";
	int i = a.length() - 1, j = b.length() - 1;
	while (i >= 0 || j >= 0) {
		int digit_a = (i >= 0) ? a[i] - '0' : 0;
		int digit_b = (j >= 0) ? b[j] - '0' : 0;
		sum += to_string(max(digit_a, digit_b));
		prod += to_string(min(digit_a, digit_b));
		i--;
		j--;
	}
	reverse(sum.begin(), sum.end());
	reverse(prod.begin(), prod.end());

	//   
	size_t first_digit_sum = sum.find_first_not_of('0');
	size_t first_digit_prod = prod.find_first_not_of('0');

	if (first_digit_sum == string::npos) {
		sum = "0";
	}
	else {
		sum = sum.substr(first_digit_sum);
	}
	if (first_digit_prod == string::npos) {
		prod = "0";
	}
	else {
		prod = prod.substr(first_digit_prod);
	}


	cout << sum << " " << prod << endl;
	system("pause");
	return 0;
}