#include <iostream>
#include <string>
#include <numeric>

using namespace std;

int gcd(int a, int b) {
	if (b == 0) {
		return a;
	}
	return gcd(b, a % b);
}

int main() {
	long long a, b;
	cin >> a >> b;

	if (gcd(a, b) != 1) {
		cout << "no" << endl;
		return 0;
	}

	if (a == 0 && b == 1) {
		cout << "" << endl;
		return 0;
	}

	if (a == 1 && b == 0) {
		cout << "no" << endl;
		return 0;
	}


	string path = "";
	long long num = 1, den = 1;

	while (num != a || den != b) {
		if (a * den < b * num) {
			path += 'R';
			num = num + a;
			den = den + b;
		}
		else {
			path += 'L';
			a = a - num;
			b = b - den;
		}
		if (a <= 0 || b <= 0) {
			cout << "no" << endl;
			return 0;
		}

	}
	cout << path << endl;
	return 0;
}